tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkglint and OR licenses

devel/colordiff has

LICENSE=        gnu-gpl-v2 OR gnu-gpl-v3

This is perhaps pickier than we usually worry about - GPLv2+ packages
usually just get that - but it isn't incorrect.

But pkglint is not up on the OR syntax, it seems:

/usr/pkgsrc/devel/colordiff > pkglint
WARN: Makefile:11: License file ../../licenses/gnu-gpl-v2 OR gnu-gpl-v3 does 
not exist.
0 errors and 1 warnings found.

Attachment: pgpL4EYYE6YM_.pgp
Description: PGP signature

Home | Main Index | Thread Index | Old Index